# Administration Reference

## pts setmax

Purpose

Sets the value of the `max group id` or `max user id` counter

Synopsis

    pts setmax [-group <group max>]  [-user <user max>]  [-cell <cell name>]
               [-noauth]  [-force]  [-help]

    pts setm [-g group max>]  [-u <user max>]  [-c <cell name>]  [-n]  [-f]  [-h]

Description

The pts setmax command sets the value of one or both counters that track the IDs the Protection Server allocates to new users, machines, or groups: the `max user id` counter for the AFS user IDs (AFS UIDs) assigned to users and machines, and the `max group id` counter for the AFS group IDs (AFS GIDs) assigned to groups.

Use the pts listmax command to display the current value of both counters.

Options

-group
  Sets the `max group id` counter. Precede the value with a hyphen to indicate that it is negative. When an administrator next uses the pts creategroup command to create a group entry and does not include that command's -id argument, the Protection Server assigns the group an AFS GID one less (more negative) than this value.

-user
  Sets the `max user id` counter. When an administrator next uses the pts createuser command to create a user or machine entry and does not include that command's -id argument, the Protection Server assigns the group an AFS UID one greater than this value.

-cell
  Names the cell in which to run the command. For more details, see the introductory pts reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. For more details, see the introductory pts reference page.

-force
  Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command sets the `max group id` counter to -500 and the `max user id` counter to 1000.

       % pts setmax -group -500 -user 1000

Privilege Required

The issuer must belong to the system:administrators group.

Related Information

pts

pts creategroup

pts createuser

pts listmax

© IBM Corporation 2000. All Rights Reserved